#!/bin/sh

# MPC="/home/deaddoomer/work/mp3CC-linux/mpc/mp3CC"
# MPS="/home/deaddoomer/work/mp3CC-linux/mps/stubs"
# MPL="/home/deaddoomer/work/mp3CC-linux/mpl"

MPC=mp3CC
MPS=/usr/share/midletpascal/stubs
# MPL=/usr/share/midletpascal/libs
MPL=libs

OBJ=classes
LIB=libs
RES=res
SRC=src

SOURCES=`find $SRC -name '*.mpsrc' -or -name '*.pas'`

mp3cc() {
	$MPC -s "$1" -o "$OBJ" -l "$MPL" -p "$LIB" -m1 -c1 $2 | grep -v "@\|\^"
}

printJarClass() {
	find "$1" -name '*.class' -printf " -C $1 %f"
}

rm -rf $OBJ
mkdir -p $OBJ

echo "===> Generate symbols"

for I in $SOURCES
do
	mp3cc "$I" -d
done

echo "===> Compile sources"

for I in $SOURCES
do
	mp3cc "$I"
done

echo "===> Package binary"

jar cfM bin.jar \
    $(printJarClass $MPS) \
    $(printJarClass $OBJ) \
    $(printJarClass $LIB) \
    -C $RES .
